JEIEvents.information((event) => {
  event.addItem(/^thermal:.*spores$/, [
    "Found via Bountiful Boards, and very rarely found in Ant Mounts",
  ]);

  event.addItem("alexscaves:sea_glass_shards", [
    "Obtained by placing the correct offering at the Abyssal Altar. However, receiving this gift from The Old Ones is not guaranteed, as their methods are shrouded in ancient mystery and unpredictability.",
  ]);

  event.addItem("seadwellers:aquamarine", [
    "Obtainable from killing Drowned or by trading with Mermorphs.",
  ]);

  event.addItem(
    ["seadwellers:depth_ingot", "seadwellers:depth_nugget"],
    [
      "Obtained by trading with Mermorphs in the Overworld, and through other means as you progress.",
    ]
  );

  event.addItem(
    ["seadwellers:depth_upgrade_smithing_template", "seadwellers:depth_nugget"],
    ["Obtainable by trading with Mermorph Blacksmiths."]
  );

  event.addItem("alexscaves:marine_snow", [
    "Can be obtained by feeding Muck, Clay Balls, or Mud to a Sea Pig.",
  ]);

  event.addItem("alexscaves:pearl", [
    "Occasionally dropped when harvesting Mussels in the Abyssal Depths, or rarely produced by feeding a Sea Pig.\n",
    "The Deep Ones show a keen interest in these for trading purposes.",
  ]);

  event.addItem("minecraft:heart_of_the_sea", [
    "Rarely found in buried treasure, ship chests and barrels, or Fishing Bounty rewards.",
  ]);

  event.addItem(/^warp_pipes:.*warp_pipe$/, [
    "Usually found in small clusters on the ocean floor.",
  ]);

  event.addItem(/^thermal:raw.*/, [
    "Thermal Ores do not naturally occur in the Overworld. They are exclusively found as loot in Dimensional Dungeons or located on various planets.",
  ]);

  event.addItem("miners_delight:arthropod", [
    "Drops from spiders when killed with a Farmer's Delight knife. Can make surprisingly tasty meals if cooked properly.",
  ]);

  event.addItem("naturalist:glow_goop", [
    "Drops from Fireflies, found in night-time biomes like plains and forests. Also craftable by cooking Glow Berries.",
  ]);

  event.addItem("undergarden:seeping_ink", [
    "Seeping Ink grows on the underside of large Ink Mushroom caps in the Undergarden dimension. It can be harvested with shears.",
  ]);

  event.addItem("undergarden:mushroom_veil", [
    "Mushroom Veils grow on the underside of large Veiled Mushroom caps in the Undergarden dimension. It can be harvested with shears.",
  ]);

  event.addItem("supplementaries:antique_ink", [
    "Antique Ink, a relic of the deep, can be unearthed in ancient Urns hidden in cave depths, retrieved from forgotten dungeons, or occasionally fished up in a stroke of luck.",
  ]);

  event.addItem("create:andesite_alloy", [
    "Tin does not naturally occur in the Overworld, so you won't be able to craft Andesite Alloy right away.  Instead, you can find it in village and dungeon chests.",
  ]);

  event.addItem("alexscaves:telecore", [
    "Drops from Teletors, found in the Magnetic Caves dimension.",
  ]);

  event.addItem("alexscaves:heart_of_iron", [
    "Drops from Magnetrons, found in the Magnetic Caves dimension.",
  ]);

  event.addItem("alexscaves:ferrouslime_ball", [
    "Drops from Ferrouslimes, found in the Magnetic Caves dimension.",
  ]);

  event.addItem("alexscaves:notor_gizmo", [
    "Drops from Notors, found in the Magnetic Caves dimension.",
  ]);

  event.addItem("alexscaves:heavyweight", [
    "Drops from Boundroids, found in the Magnetic Caves dimension.",
  ]);

  event.addItem("alexscaves:guano", [
    "Found in piles on the ground in the Forlorn Hollows.",
  ]);

  event.addItem("alexscaves:enigmatic_engine", [
    "The Enigmatic Engine is a unique item that cannot be crafted. It is found exclusively within the belly of the Hullbreaker, a formidable monster that roams the depths of the Abyssal Chasm.",
  ]);

  event.addItem("undergarden:mogmoss", [
    "Mogs, the adorable, box-shaped equivalents of sheep found in the Undergarden, can be sheared to collect their Mogmoss.",
  ]);

  event.addItem("undergarden:rotten_blisterberry", [
    "Occasionally harvested from Blisterberry Bushes, found wild in the Smog Spires biome or cultivated in Catacombs farms.",
  ]);

  event.addItem("spawn:mucus", [
    "Wet Snails leave a Mucus Trail, activated by water contact, wet sponges, mud, or rain.\n\nMucus can be collected and cooked into slime.",
  ]);

  event.addItem("naturalist:lizard_tail", [
    "Lizards drop their tails when their health reaches half and regrow them after 10 minutes.\n\nYou can also craft Lizard Tail Spawning Fluid, usable in a Mechanical Spawner to spawn only Lizard Tails.",
  ]);

  event.addItem("create_dd:coal_piece", [
    "Drops from Chorts, found in the Overworld.",
  ]);

  event.addItem("rats:rat_paw", [
    "Rare drop from Rats, found in the Overworld.",
  ]);

  event.addItem(['snowyspirit:ginger', 'snowyspirit:ginger_flower', 'snowyspirit:wild_ginger'], [
    "Found in various Jungle and Forest biomes in the Overworld.",
  ]);

  event.addItem("nethers_exoticism:bouddha_s_hand", [
    "Grows on Buddha's Hand trees in the Nether's Soul Sand Valley.",
  ]);

  event.addItem("minecraft:nautilus_shell", [
    "Rarely found while fishing, or in ship chests and barrels.\n\nAlso obtainable by sifting sand in a waterlogged Create Sifter.",
  ]);
});
